<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [StockOrderObject](./bitburner.stockorderobject.md)

## StockOrderObject interface

Value in map of [StockOrder](./bitburner.stockorder.md)

<b>Signature:</b>

```typescript
export interface StockOrderObject 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [position](./bitburner.stockorderobject.position.md) | [PositionTypes](./bitburner.positiontypes.md) | Order position |
|  [price](./bitburner.stockorderobject.price.md) | number | Price per share |
|  [shares](./bitburner.stockorderobject.shares.md) | number | Number of shares |
|  [type](./bitburner.stockorderobject.type.md) | [OrderTypes](./bitburner.ordertypes.md) | Order type |

